Class | Tk::Iwidgets::Timefield
In: | tk/lib/tkextlib/iwidgets/timefield.rb
Parent: | Tk::Iwidgets::Labeledwidget

### Methods

get get_clicks get_string isvalid? show show_now valid?

### Constants

TkCommandNames | = | ['::iwidgets::timefield'.freeze].freeze
WidgetClassName | = | 'Timefield'.freeze

### Public Instance methods

get()

Alias for get_string

get_clicks()

[Source]

    # File tk/lib/tkextlib/iwidgets/timefield.rb, line 41
      def get_clicks
        number(tk_call(@path, 'get', '-clicks'))
      end

get_string()

[Source]

    # File tk/lib/tkextlib/iwidgets/timefield.rb, line 36
      def get_string
        tk_call(@path, 'get', '-string')
      end

isvalid?()

Alias for valid?

show(time=None)

[Source]

    # File tk/lib/tkextlib/iwidgets/timefield.rb, line 50
      def show(time=None)
        tk_call(@path, 'show', time)
        self
      end

show_now()

[Source]

    # File tk/lib/tkextlib/iwidgets/timefield.rb, line 54
      def show_now
        tk_call(@path, 'show', 'now')
        self
      end

valid?()

[Source]

    # File tk/lib/tkextlib/iwidgets/timefield.rb, line 45
      def valid?
        bool(tk_call(@path, 'isvalid'))
      end

[Validate]